# Module top

- Description
- Data Types
- Function Index
- Function Details

Text mode top for an Erlang VM.

Copyright © 2012-2015 Zuse Institute Berlin,

Version: $Id$

Behaviours: `gen_component`.

Authors: Florian Schintke (`schintke@zib.de`).

## Description

Text mode top for an Erlang VM. Just call top:top() in the eshell.

## Data Types

### erlang_timestamp()

    erlang_timestamp() =
        {MegaSecs :: non_neg_integer(),
         Secs :: 0..999999,
         MicroSecs :: 0..999999}

### state()

    state() =
        {pdb:tableid(),
         false | all | pid,
         false | all | pid,
         erlang_timestamp(),
         non_neg_integer(),
         non_neg_integer(),
         no_exclude | pid()}

## Function Index

init/1 |
on/2 |
start_gen_component/5 |
start_link/1 |
top/0 |
trace_fwd/2 |

## Function Details

### start_gen_component/5

    start_gen_component(Module :: module(),
                        Handler :: gen_component:handler(),
                        Args :: term(),
                        Options :: [gen_component:option()],
                        Self :: pid()) ->
                           no_return() | ok

### start_link/1

    start_link(Group :: pid_groups:groupname()) -> {ok, pid()}

### init/1

    init(X1 :: []) -> state()

### top/0

    top() -> ok

### on/2

    on(X1 :: comm:message(), State :: state()) -> state()

### trace_fwd/2

    trace_fwd(X1 :: {trace, pid(), call | return_to, mfa()},
              TopPid :: pid()) ->
                 pid()

Generated by EDoc, Feb 29 2016, 16:12:20.